USE [Demokratia]
GO
/****** Object:  User [DemokratiaAdmin]    Script Date: 07/04/2021 11:44:31 ******/
CREATE USER [DemokratiaAdmin] FOR LOGIN [DemokratiaAdmin] WITH DEFAULT_SCHEMA=[dbo]
GO
/****** Object:  User [DemokratiaExec]    Script Date: 07/04/2021 11:44:31 ******/
CREATE USER [DemokratiaExec] FOR LOGIN [DemokratiaExec] WITH DEFAULT_SCHEMA=[dbo]
GO
ALTER ROLE [db_owner] ADD MEMBER [DemokratiaAdmin]
GO
ALTER ROLE [db_accessadmin] ADD MEMBER [DemokratiaAdmin]
GO
ALTER ROLE [db_securityadmin] ADD MEMBER [DemokratiaAdmin]
GO
ALTER ROLE [db_ddladmin] ADD MEMBER [DemokratiaAdmin]
GO
ALTER ROLE [db_backupoperator] ADD MEMBER [DemokratiaAdmin]
GO
ALTER ROLE [db_datareader] ADD MEMBER [DemokratiaAdmin]
GO
ALTER ROLE [db_datawriter] ADD MEMBER [DemokratiaAdmin]
GO
ALTER ROLE [db_denydatareader] ADD MEMBER [DemokratiaAdmin]
GO
ALTER ROLE [db_denydatawriter] ADD MEMBER [DemokratiaAdmin]
GO
GRANT EXECUTE ON [dbo].[usp_Alegacion_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Alegacion_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Alegacion_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Alegacion_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Alegacion_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Candidatura_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Candidatura_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Candidatura_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Candidatura_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Candidatura_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_CensoElectoral_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_CensoElectoral_ActualizarHabilitado] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_CensoElectoral_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_CensoElectoral_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_CensoElectoral_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_CensoElectoral_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_CensoPorProceso_ActualizarMesa] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_CensoPorProceso_ActualizarVotado] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_CensoPorProceso_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_CensoPorProceso_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_CensoPorProceso_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_CensoPorProceso_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Centro_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Centro_ActualizarHabilitado] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Centro_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Centro_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Centro_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Centro_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ComunicadoBoe_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ComunicadoBoe_ActualizarEnviado] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ComunicadoBoe_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ComunicadoBoe_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ComunicadoBoe_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ComunicadoBoe_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ComunicadoCiudadano_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ComunicadoCiudadano_ActualizarEnviado] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ComunicadoCiudadano_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ComunicadoCiudadano_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ComunicadoCiudadano_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ComunicadoCiudadano_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_DemarcacionElectoral_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_DemarcacionElectoral_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_DemarcacionElectoral_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_DemarcacionElectoral_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_DemarcacionElectoral_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Direccion_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Direccion_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Direccion_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Direccion_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_IndicadorAnual_InsertarOActualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_IndicadorAnual_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_IndicadorUnico_InsertarOActualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_IndicadorUnico_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_IntegranteMesa_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_IntegranteMesa_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_IntegranteMesa_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_IntegranteMesa_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_IntegranteMesa_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ListaCandidatos_ActualizarConfirmacion] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ListaCandidatos_ComprobarValidez] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ListaCandidatos_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ListaCandidatos_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ListaCandidatos_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ListaCandidatos_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Log_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Mesa_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Mesa_ActualizarHabilitado] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Mesa_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Mesa_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Mesa_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_MesaPorProceso_ComprobarValidez] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_MesaPorProceso_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_MesaPorProceso_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_MesaPorProceso_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_MesaPorProceso_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_MetodoCalculoResultados_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_MetodoCalculoResultados_ActualizarHabilitado] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_MetodoCalculoResultados_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_MetodoCalculoResultados_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_MetodoCalculoResultados_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_MetodoCalculoResultados_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_PartidoPolitico_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_PartidoPolitico_ActualizarHabilitado] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_PartidoPolitico_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_PartidoPolitico_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_PartidoPolitico_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_PartidoPolitico_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Persona_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Persona_ActualizarHabilitado] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Persona_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Persona_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Persona_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ProcesoElectoral_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ProcesoElectoral_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ProcesoElectoral_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ProcesoElectoral_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ProcesoElectoral_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaCensoElectoral_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaCensoElectoral_ActualizarHabilitado] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaCensoElectoral_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaCensoElectoral_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaCensoElectoral_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaCensoElectoral_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaCensoPorProceso_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaCensoPorProceso_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaCensoPorProceso_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaCensoPorProceso_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaMesaElectoral_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaMesaElectoral_ActualizarHabilitado] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaMesaElectoral_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaMesaElectoral_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaMesaElectoral_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaMesaElectoral_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaMesaPorProceso_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaMesaPorProceso_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaMesaPorProceso_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaMesaPorProceso_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaPartidoPolitico_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaPartidoPolitico_ActualizarHabilitado] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaPartidoPolitico_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaPartidoPolitico_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaPartidoPolitico_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaPartidoPolitico_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaPartidoPorProceso_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaPartidoPorProceso_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaPartidoPorProceso_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_ReglaPartidoPorProceso_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_VacantesPorDemarcacion_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_VacantesPorDemarcacion_Eliminar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_VacantesPorDemarcacion_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_VacantesPorDemarcacion_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_VacantesPorDemarcacion_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Votos_Actualizar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Votos_Insertar] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Votos_Obtener] TO [DemokratiaExec] AS [dbo]
GO
GRANT EXECUTE ON [dbo].[usp_Votos_ObtenerLista] TO [DemokratiaExec] AS [dbo]
GO


